# Get Vulnerability Remediation Proposals

Returns the recommended remediation actions to take for a given vulnerability

Endpoint: GET /api/v2.0/vulnerabilities/{vulnerabilityId}/remediation
Version: 2.0
Security: bearer-key

## Path parameters:

  - `vulnerabilityId` (string, required)
    Vulnerability Name in the form of CVE-xxxx-xxx or WS-xxxx-xxx.

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.vulnerability` (string)
    Vulnerability Name
    Example: "CVE-2021-42392"

  - `retVal.topRankedFix` (object)

  - `retVal.topRankedFix.id` (integer)
    Example: 49422

  - `retVal.topRankedFix.vulnerability` (string)
    Example: "CVE-2021-42392"

  - `retVal.topRankedFix.type` (string)
    Enum: "CHANGE_FILES", "PATCH", "UPGRADE_VERSION"

  - `retVal.topRankedFix.origin` (string)
    Example: "WHITESOURCE_EXPERT"

  - `retVal.topRankedFix.url` (string)
    Example: "https://github.com/codehaus-plexus/plexus-utils/commit/f933e5e78dc2637e485447ed821fe14904f110de"

  - `retVal.topRankedFix.fixResolution` (string)
    Example: "3.0.24"

  - `retVal.topRankedFix.date` (string)

  - `retVal.topRankedFix.message` (string)
    Example: "Upgrade to version"

  - `retVal.topRankedFix.extraData` (string)

  - `retVal.topRankedFix.minimalFixVersionFromExtraData` (string)

  - `retVal.topRankedFix.minimalAffectedVersionFromExtraData` (string)

  - `retVal.allFixes` (array)

  - `retVal.totalUpVotes` (integer)
    Total Up Votes

  - `retVal.totalDownVotes` (integer)
    Total Down Votes

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


